IOFileFilter (Commons IO 2.5)
Date: 2016-12-01

org.apache.commons.io.filefilter

## Interface IOFileFilter

- All Superinterfaces:
    java.io.FileFilter, java.io.FilenameFilter
  All Known Implementing Classes:
    AbstractFileFilter, AgeFileFilter, AndFileFilter, CanReadFileFilter, CanWriteFileFilter, DelegateFileFilter, DirectoryFileFilter, EmptyFileFilter, FalseFileFilter, FileFileFilter, HiddenFileFilter, MagicNumberFileFilter, NameFileFilter, NotFileFilter, OrFileFilter, PrefixFileFilter, RegexFileFilter, SizeFileFilter, SuffixFileFilter, TrueFileFilter, WildcardFileFilter, WildcardFilter

      public interface IOFileFilter
      extends java.io.FileFilter, java.io.FilenameFilter

  An interface which brings the FileFilter and FilenameFilter interfaces together.
  Since:
    1.0
  Version:
    $Id: IOFileFilter.java 1471767 2013-04-24 23:24:19Z sebb $

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `accept(java.io.File file)` Checks to see if the File should be accepted by this filter.
    `boolean` | `accept(java.io.File dir, java.lang.String name)` Checks to see if the File should be accepted by this filter.

- - ### Method Detail

    - #### accept

          boolean accept(java.io.File file)

      Checks to see if the File should be accepted by this filter.

      Defined in `FileFilter`.

      Specified by:
        `accept` in interface `java.io.FileFilter`
      Parameters:
        `file` - the File to check
      Returns:
        true if this file matches the test

    - #### accept

          boolean accept(java.io.File dir,
                       java.lang.String name)

      Checks to see if the File should be accepted by this filter.

      Defined in `FilenameFilter`.

      Specified by:
        `accept` in interface `java.io.FilenameFilter`
      Parameters:
        `dir` - the directory File to check
        `name` - the filename within the directory to check
      Returns:
        true if this file matches the test

Copyright (c) 2002-2016 Apache Software Foundation